Package org.apache.lucene.analysis.path

## Class PathHierarchyTokenizer

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.Tokenizer
      - - org.apache.lucene.analysis.path.PathHierarchyTokenizer

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`

      public class PathHierarchyTokenizer
      extends Tokenizer

  Tokenizer for path-like hierarchies.

  Take something like:

        /something/something/else

  and make:

        /something
        /something/something
        /something/something/else

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static char` | `DEFAULT_DELIMITER` |
    `static int` | `DEFAULT_SKIP` |

    - ### Fields inherited from class org.apache.lucene.analysis.Tokenizer

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PathHierarchyTokenizer()` |
    `PathHierarchyTokenizer​(char delimiter, char replacement)` |
    `PathHierarchyTokenizer​(char delimiter, char replacement, int skip)` |
    `PathHierarchyTokenizer​(int skip)` |
    `PathHierarchyTokenizer​(int bufferSize, char delimiter)` |
    `PathHierarchyTokenizer​(int bufferSize, char delimiter, char replacement, int skip)` |
    `PathHierarchyTokenizer​(AttributeFactory factory, char delimiter, char replacement, int skip)` |
    `PathHierarchyTokenizer​(AttributeFactory factory, int bufferSize, char delimiter, char replacement, int skip)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `end()` |
    `boolean` | `incrementToken()` |
    `void` | `reset()` |

    - ### Methods inherited from class org.apache.lucene.analysis.Tokenizer

      `close, correctOffset, setReader, setReaderTestPoint`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_DELIMITER

          public static final char DEFAULT_DELIMITER

      See Also:
        Constant Field Values

    - #### DEFAULT_SKIP

          public static final int DEFAULT_SKIP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PathHierarchyTokenizer

          public PathHierarchyTokenizer()

    - #### PathHierarchyTokenizer

          public PathHierarchyTokenizer​(int skip)

    - #### PathHierarchyTokenizer

          public PathHierarchyTokenizer​(int bufferSize,
                                        char delimiter)

    - #### PathHierarchyTokenizer

          public PathHierarchyTokenizer​(char delimiter,
                                        char replacement)

    - #### PathHierarchyTokenizer

          public PathHierarchyTokenizer​(char delimiter,
                                        char replacement,
                                        int skip)

    - #### PathHierarchyTokenizer

          public PathHierarchyTokenizer​(AttributeFactory factory,
                                        char delimiter,
                                        char replacement,
                                        int skip)

    - #### PathHierarchyTokenizer

          public PathHierarchyTokenizer​(int bufferSize,
                                        char delimiter,
                                        char replacement,
                                        int skip)

    - #### PathHierarchyTokenizer

          public PathHierarchyTokenizer​(AttributeFactory factory,
                                        int bufferSize,
                                        char delimiter,
                                        char replacement,
                                        int skip)

  - ### Method Detail

    - #### incrementToken

          public final boolean incrementToken()
                                       throws IOException

      Specified by:
        `incrementToken` in class `TokenStream`
      Throws:
        `IOException`

    - #### end

          public final void end()
                         throws IOException

      Overrides:
        `end` in class `TokenStream`
      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Overrides:
        `reset` in class `Tokenizer`
      Throws:
        `IOException`